# Security Policy

## Supported Versions

We are committed to providing a secure and reliable package. The following table shows the currently supported versions and their security status:

| Version   | Supported | Security Fixes |
| --------- | --------- | -------------- |
| 1.x.x     | ✅        | ✅             |
| 0.1.x     | ❌        | ❌             |

## Reporting a Vulnerability

If you discover a security vulnerability within our package, please follow these steps to report it:

1. **Email:** Send an email to [chuyentt@gmail.com](mailto:chuyentt@gmail.com) with the subject "Security Vulnerability Report".
2. **Details:** Provide detailed information about the vulnerability, including steps to reproduce and any potential impact.
3. **Attachments:** If applicable, attach any supporting materials such as proof-of-concept code or screenshots.
4. **Response:** We will acknowledge your report within 48 hours and work with you to investigate and address the issue.
5. **Disclosure:** We kindly request that you allow us sufficient time to investigate and resolve the vulnerability before disclosing it publicly.

## Security Best Practices

To ensure the security of our package and its users, we follow these best practices:

- **Regular Updates:** We strive to keep our package up-to-date with the latest security patches and fixes.
- **Secure Dependencies:** We carefully vet and evaluate the dependencies we use to minimize security risks.
- **Code Review:** Our code undergoes regular review to identify and address potential security vulnerabilities.
- **Secure Communication:** We use secure channels for all communications related to our package's development and security.

## Disclaimer

While we take security seriously and make every effort to ensure the safety of our package, no software is completely immune to vulnerabilities. We appreciate the help of our users and the wider community in identifying and reporting security issues.

Please note that this security policy is subject to change. It's a good practice to review it periodically for any updates.
